Criar um novo cliente
curl --request POST \
--url https://api.abacatepay.com/v1/customer/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Daniel Lima",
"cellphone": "(11) 4002-8922",
"email": "daniel_lima@abacatepay.com",
"taxId": "123.456.789-01"
}
'import requests
url = "https://api.abacatepay.com/v1/customer/create"
payload = {
"name": "Daniel Lima",
"cellphone": "(11) 4002-8922",
"email": "daniel_lima@abacatepay.com",
"taxId": "123.456.789-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Daniel Lima',
cellphone: '(11) 4002-8922',
email: 'daniel_lima@abacatepay.com',
taxId: '123.456.789-01'
})
};
fetch('https://api.abacatepay.com/v1/customer/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "bill_123456",
"metadata": {
"name": "Daniel Lima",
"cellphone": "(11) 4002-8922",
"email": "daniel_lima@abacatepay.com",
"taxId": "123.456.789-01"
}
},
"error": null
}{
"error": "Token de autenticação inválido ou ausente."
}API Reference
Criar um novo cliente
Permite que você crie um novo cliente para a sua loja.
POST
/
customer
/
create
Criar um novo cliente
Authorizations
Cabeçalho de autenticação Bearer no formato Bearer <abacatepay-api-key> onde <abacatepay-api-key> é a sua chave de API.
Body
application/json
Os dados do seu cliente caso deseje criá-lo no momento da criação da sua cobrança.
Was this page helpful?
⌘I